globus_errno_error_accessor(3)

NAME
globus_errno_error_accessor - Error Data Accessors and Modifiers

 - Error Data Accessors and Modifiers.

SYNOPSIS

  Get Errno

int globus_error_errno_get_errno (globus_object_t *error)

  Set Errno

void globus_error_errno_set_errno (globus_object_t *error, const int system_errno)

Detailed Description

Error Data Accessors and Modifiers.

Get and set data in a Globus Errno Error object.

This section defines operations for accessing and modifying data in a Globus Errno Error object.

Function Documentation

  int globus_error_errno_get_errno (globus_object_t * error)
Retrieve the system errno from a errno error object.

Parameters
    error The error from which to retrieve the errno

Returns
    The errno stored in the object

  void globus_error_errno_set_errno (globus_object_t * error, const int system_errno)
Set the errno in a errno error object.

Parameters
    error The error object for which to set the errno
    system_errno The system errno

Author

Generated automatically by Doxygen for globus_common from the source code.